// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.SegmentNode}
 */
public  final class SegmentNode extends
    com.google.protobuf.GeneratedMessageLite<
        SegmentNode, SegmentNode.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.SegmentNode)
    SegmentNodeOrBuilder {
  private SegmentNode() {
    content_ = "";
  }
  public static final int TYPE_FIELD_NUMBER = 1;
  private int type_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
   * @return The enum numeric value on the wire for type.
   */
  @java.lang.Override
  public int getTypeValue() {
    return type_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
   * @return The type.
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.SegmentNodeType getType() {
    gg.dsepractice.chinese.v1alpha1.SegmentNodeType result = gg.dsepractice.chinese.v1alpha1.SegmentNodeType.forNumber(type_);
    return result == null ? gg.dsepractice.chinese.v1alpha1.SegmentNodeType.UNRECOGNIZED : result;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
   * @param value The enum numeric value on the wire for type to set.
   */
  private void setTypeValue(int value) {
      type_ = value;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
   * @param value The type to set.
   */
  private void setType(gg.dsepractice.chinese.v1alpha1.SegmentNodeType value) {
    type_ = value.getNumber();
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
   */
  private void clearType() {
    
    type_ = 0;
  }

  public static final int CONTENT_FIELD_NUMBER = 2;
  private java.lang.String content_;
  /**
   * <code>string content = 2 [json_name = "content"];</code>
   * @return The content.
   */
  @java.lang.Override
  public java.lang.String getContent() {
    return content_;
  }
  /**
   * <code>string content = 2 [json_name = "content"];</code>
   * @return The bytes for content.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getContentBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(content_);
  }
  /**
   * <code>string content = 2 [json_name = "content"];</code>
   * @param value The content to set.
   */
  private void setContent(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    content_ = value;
  }
  /**
   * <code>string content = 2 [json_name = "content"];</code>
   */
  private void clearContent() {
    
    content_ = getDefaultInstance().getContent();
  }
  /**
   * <code>string content = 2 [json_name = "content"];</code>
   * @param value The bytes for content to set.
   */
  private void setContentBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    content_ = value.toStringUtf8();
    
  }

  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.SegmentNode parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.SegmentNode prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.SegmentNode}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.SegmentNode, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.SegmentNode)
      gg.dsepractice.chinese.v1alpha1.SegmentNodeOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.SegmentNode.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
     * @return The enum numeric value on the wire for type.
     */
    @java.lang.Override
    public int getTypeValue() {
      return instance.getTypeValue();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
     * @param value The type to set.
     * @return This builder for chaining.
     */
    public Builder setTypeValue(int value) {
      copyOnWrite();
      instance.setTypeValue(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
     * @return The type.
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.SegmentNodeType getType() {
      return instance.getType();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
     * @param value The enum numeric value on the wire for type to set.
     * @return This builder for chaining.
     */
    public Builder setType(gg.dsepractice.chinese.v1alpha1.SegmentNodeType value) {
      copyOnWrite();
      instance.setType(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
     * @return This builder for chaining.
     */
    public Builder clearType() {
      copyOnWrite();
      instance.clearType();
      return this;
    }

    /**
     * <code>string content = 2 [json_name = "content"];</code>
     * @return The content.
     */
    @java.lang.Override
    public java.lang.String getContent() {
      return instance.getContent();
    }
    /**
     * <code>string content = 2 [json_name = "content"];</code>
     * @return The bytes for content.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getContentBytes() {
      return instance.getContentBytes();
    }
    /**
     * <code>string content = 2 [json_name = "content"];</code>
     * @param value The content to set.
     * @return This builder for chaining.
     */
    public Builder setContent(
        java.lang.String value) {
      copyOnWrite();
      instance.setContent(value);
      return this;
    }
    /**
     * <code>string content = 2 [json_name = "content"];</code>
     * @return This builder for chaining.
     */
    public Builder clearContent() {
      copyOnWrite();
      instance.clearContent();
      return this;
    }
    /**
     * <code>string content = 2 [json_name = "content"];</code>
     * @param value The bytes for content to set.
     * @return This builder for chaining.
     */
    public Builder setContentBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setContentBytes(value);
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.SegmentNode)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.SegmentNode();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "type_",
            "content_",
          };
          java.lang.String info =
              "\u0000\u0002\u0000\u0000\u0001\u0002\u0002\u0000\u0000\u0000\u0001\f\u0002\u0208" +
              "";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.SegmentNode> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.SegmentNode.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.SegmentNode>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.SegmentNode)
  private static final gg.dsepractice.chinese.v1alpha1.SegmentNode DEFAULT_INSTANCE;
  static {
    SegmentNode defaultInstance = new SegmentNode();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      SegmentNode.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.SegmentNode getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<SegmentNode> PARSER;

  public static com.google.protobuf.Parser<SegmentNode> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

